Función:

def getWindowOfView(self, viewdoc):
        application = gvsig.ApplicationLocator.getManager()
        projectManager = application.getProjectManager()
        viewManager = projectManager.getDocumentManager(ViewManager.TYPENAME)
        return viewManager.getMainWindow(self.viewdoc,None)

Usado en el ejemplo "coordenadas.py" de esta forma para añadir listeners de la Vista al script:
self.viewdoc = viewdoc
        self.mapControl = self.getWindowOfView(self.viewdoc).getMapControl()
        self.mapControl.addBehavior("CapturePoint", PointBehavior(self))
        self.mapControl.setTool("CapturePoint")

Propuesta: añadirla como método al documento Vista

Associated revisions
Revision 606 - 03/10/2016 03:22 PM - Joaquín  del Cerro Murciano

refs #4159, añadido el metodo getWindowOfView a la clave ViewDocument

History
#1 - 03/10/2016 03:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 07/25/2016 10:29 AM - Álvaro Anguix
- Status changed from Fixed to Closed
